Log in

izap videos 4.2.0b (Youtube Upload / Onserver upload + Embed urls) (10 Jan, 2013) for Elgg 1.8

Full featured video plugin by iZAP

Last updated 469 days ago

izap_videos is a full featured videos plugin for elgg. It can handle YouTube videos upload, On server upload if you have dedicated resources to process videos and off server videos (YouTube, Vimeo, Veoh, Blip, CollegeHumor, 5min etc.).

  1. It supports YouTube uploads if you do not have dedicated resources to host/process uploaded videos by your users.
  2. It supports Youtube, Vimeo, Veoh, Metacafe, Blip, CollegeHumor, 5min.
  3. It also supports Off server videos. Where you can convert video files to flv at your own server. It needs ffmpeg compiled on your server. Supported formats are subject of what your ffmpeg compilation supports.
  4. More sharing options (Twitter, Facebook, LinkedIn, MySpace).
  5. A new customizable flash player. You can change forground and background colors of the flash player according to your need.
  6. Embeddable video code to post videos on other sites which are uploaded on elgg's platform.
  7. Categories support.
  8. River support.
  9. Groups integration.
  10. Now you can enable on server and off server in parallel mode.
  11. Make your videos favorite.

Recommend izap-videos if you really like what we did.

Release Notes:

### Version 4.1.2b

#### Enhancements:
1. Improved full page display.
2. Screen shots has been added according to the manifest recommendations.
#### Bug fixes:
1. Critical fix of view counter. It was doubling the view counters.
2. Quite small changes in language file.
3. Some function name changes as per the recommended conventions.

Download latest version of izap-elgg-bridge: https://github.com/izap/izap-elgg-bridge/downloads

Comments

  • Allin 844 days ago

    Thanks, it works well in my site. Will you include a solution to integrate <iframe> videos too ?

  • Emanuel Moreno 843 days ago

    I have this error: Error fetching data from remote url. Either wrong url or video not found.

    I use the elgg 1.8 and I have the api key. How I fix that?

  • rohonupe99 839 days ago

    i have the bridge plugin, and this one installed, and have entered the api code in the admin area, but when i click play on a video, the progress bar shows for a couple seconds, but the video does not play. it just sjows a black screen

  • rohonupe99 838 days ago

    i get this error when uploading a video, and i have already registered an api.    Your API is invalid or banned. Register new API at http://www.puginlotto.com.

  • patriot 831 days ago

    @rohonupe I had the same problem,but I had the www.mysite.com instead of mysite.com

    The problem I'm having is that the video plays aren't counting?

  • patriot 825 days ago

    Humm... my video views aren't adding up?

  • Allin 824 days ago

    It causes 505 errors in my newly upgraded 1.8.3 version ! such as :

    Deprecated in 1.8: register_entity_type() was deprecated by elgg_register_entity_type() Called from [#5] /mod/izap-videos/start.php:135
    I had to disable it ! 
    
  • nolox 817 days ago

    I'm using 1.8.3 elgg version and I have this error izap:izap-videos:izap_videos_lib is not a registered library.

    Anybody has an idea how to resolve it?

  • DhrupDeScoop 817 days ago

    i think that shud be just
        izap_videos_lib
    not the one with the
        :
    in the lib name
    that  :  character just looks funny...
    you got a line number reference for the error (from your logs maybe) ?


  • westor 812 days ago

    I have the same issue, here is a stack trace:

    *** FATAL EXCEPTION *** : exception 'InvalidParameterException' with message 'izap:izap-videos:izap_videos_lib is not a registered library' in ***/engine/lib/elgglib.php:106\nStack trace:\n#0 ***/mod/izap-elgg-bridge/classes/IzapBase.php(150): elgg_load_library('izap:izap-video...')\n#1 ***/mod/izap-videos/views/default/plugins/izap-videos/settings.php(17): IzapBase::loadLib(Array)\n#2 ***/engine/lib/views.php(503): include('/opt/lampp/www/...')\n#3 ***/views/default/forms/plugins/settings/save.php(24): elgg_view('plugins/izap-vi...', Array)\n#4 ***/engine/lib/views.php(503): include('/opt/lampp/www/...')\n#5***/engine/lib/views.php(1307): elgg_view('forms/plugins/s...', Array)\n#6 ***/views/default/admin/plugin_settings.php(23): elgg_view_form('plugins/setting...', Array, Array)\n#7 */engine/lib/views.php(503): include('***')\n#8 ***/engine/lib/admin.php(483): elgg_view('admin/plugin_se...', Array)\n#9 ***/mod/izap-elgg-bridge/classes/IzapAdminController.php(41):admin_page_handler(Array)\n#10 [internal function]: IzapAdminController->__call('actionPlugin_se...', Array)\n#11 [internal function]: IzapAdminController->actionPlugin_settings(Array)\n#12 ***/mod/izap-elgg-bridge/classes/IzapAdminController.php(45): call_user_func(Array, Array)\n#13 ***/mod/izap-elgg-bridge/start.php(114): IzapAdminController->runAction()\n#14 [internal function]: izap_pagehandler_bridge(Array, 'admin')\n#15 ***/engine/lib/pagehandler.php(50): call_user_func('izap_pagehandle...', Array, 'admin')\n#16 ***/engine/handlers/page_handler.php(46): page_handler('admin', 'plugin_settings...')\n#17 {main}, referer: ***/admin/plugins

  • worldopensources 810 days ago

    same error! in 1.8.3 this plugin is no more working, error: 

    Fatal Error.

    izap:izap-elgg-bridge:init is not a registered library

  • worldopensources 810 days ago

    does any body found the fix for this?

  • worldopensources 810 days ago

    Also is Izap_ Elgg_bridge is also GPL ? or its some other license? basically iam looking for only GPL plugins here, thanks.

  • Emmanuel Lasso 805 days ago

    @worldopensources you have to rename the plugin's folder to "izap-elgg-bridge"

    the downloaded folder has an extra "izap"

  • patriot 796 days ago

    Yes @worldopensources users must read the read me files

  • westor 770 days ago

    A hint for all who may have read the readme files more than carefully and nevertheless do have this error: make sure your izap_elgg_bridge is above the othe izap plugins. That should help.

  • SocioTime 766 days ago

    I have been using this plugin since launching of my site. I have been going through a problem. When anyone upload a video using youtube url the view counts goes nicely ..but suddenly it comes back to 1 view and not increase from 1. However in some cases it is ok. www.sociotime.com is the site. Will be grateful if anyone helps me to find out whats going wrong. Anyway, I would like to thank Izap for developing such a wonderful plugin.

  • Flexx 766 days ago

    Anyone knows why the APIs arnt being generated?

  • DEYLORD 765 days ago

    I uploaded a avi file on my own server... it's OK. The original file is in tmp folder. But the conversion process Not running. I don't understand why...

    My problem in a video. Duration: 4 minutes.
    I use Elgg 1.8.3 with Izap Elgg Bridge 2.1.1 and Izap Videos 4.1.2b. Thanks in advance for your help!

  • Syntaxlb 758 days ago

    Where can i find Izap Elgg Bridge plz ? pluginlotto is down..

  • binoyda 756 days ago

    Hi I am getting an error ane idea?...

    This plugin has unmet dependencies and cannot be activated. Check dependencies under more info.

    Requires Elgg version >= 2011122100 2011110700 error
    Requires Plugin: izap-elgg-bridge >= 2.1 -- error

    I am using Elgg V1.8

    Any help much appreciated..

    Thanks

     

             
             
  • Steve Clay 756 days ago

    What happened to the repo?

  • i Z A P 753 days ago

    Project has been moved to other Repo. I just fixed the link. It is working now.

  • Alvaro 753 days ago

    Hola gracias por el aporte. Tengo el mismo problema de Binoyda. Estaré atento a la publicación. Mil gracias por el aporte muchachos! Saludos!

  • i Z A P 752 days ago

    Es decir, es necesario actualizar su izap-elgg-bridge de la instalación. Buscar la versión más reciente aquí: https://github.com/downloads/pluginlotto/izap-elgg-bridge/izap-elgg-bridge-v2.1.1.tar.gz